body {
    /* font-family: 'Courier New', monospace; */
    font-family: "whiterabbit";
    background-color: #1d1d1d;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

@font-face {
    font-family: "whiterabbit";
    src: url("../fonts/WhiteRabbit.woff2") format("woff2");
}

body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    background-image: url('../media/backgrounds/matrix.gif');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    filter: hue-rotate(120deg);
}

.box {
    max-width: 1050px;
    margin: 0px auto;
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 200px minmax(0, 1fr) auto;
    grid-template-rows: auto max-content 1fr auto;
}

nav, main, .joe-2026 {
    border: blue 2px solid;
    background-color: black;
    border-radius: 5px;
    padding: 5px 5px;
    color: skyblue;
}

li a {
    display: inline-block;
    margin: 3px;
}

header {
    grid-row: 1 / 2;
    grid-column: 1 / 4;
}

.left-sidebar {
    grid-row: 2 / 4;
    grid-column: 1 / 2;
    display: flex;
    flex-direction: column;
    gap: 5px;
    flex-shrink: 0;
}

main {
    grid-row: 2 / 4;
    grid-column: 2 / 3;
    height: max-content;
}

aside.right-sidebar {
    grid-row: 2 / 4;
    grid-column: 3 / 4;
    height: max-content;
    display: flex;
    flex-direction: column;
    gap: 5px;
    flex-shrink: 0;
}

aside.right-sidebar p {
    margin: 0 auto;
}

header h1 {
    margin: 10px 0;
    color: blue;
    margin: 5px auto;
    text-align: center;
    font-size: 45px;
}

main p {
    margin: 5px 0;
    font-size: 20px;
}

nav h4 {
    text-align: center;
    text-shadow: 1px 1px aqua;
}

footer {
    grid-row: 4 / 5;
    grid-column: 1 / 4;
}

footer p {
    background: #57575780;
    border-radius: 10px;
    width: max-content;
    margin: 0 auto;
    font-weight: bold;
    font-size: 11px;
    padding: 5px;
    color: skyblue;
}

ul {
    padding: 0;
    margin: 10px 0;
    
}

ul li::marker {
    content: none;
}

nav a:link {
    color: blue;
    font-weight: bold;
}

nav a:visited {
    color: lightblue;
}

nav a:hover {
    color: darkblue;
}

nav a:active {
    color: lightblue;
}

h4 {
    margin: 10px 0;
}

img {
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
